<div style="display: flex; justify-content: center; margin-top: 20px">
    <button data-toggle="modal" data-target="#addModal" (click)="removeBackdrop()">Ajouter un
        Groupe</button>
    <div class="modal fade" id="addModal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form [formGroup]="groupAdd">
                        <div class="form-group row d-flex align-items-center mb-5">
                            <label class="col-lg-3 form-control-label d-flex">Nom</label>
                            <div class="col-lg-8">
                                <input type="text" class="form-control" formControlName="nom">
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" (click)="createGroup()">Save changes</button>
                </div>
            </div>
        </div>
    </div>
</div>

<div style="padding: 50px">
    <div class="wrapper">

        <div *ngFor="let group of groups; let i = index" style="margin-bottom: 50px;">
            <div class="card" style="width: 20rem;">
                <img class="card-img-top" src="assets/img/sidebar-1.jpg" style="width: 200px;
                    height: 271.5px;">
                <div class="card-body">
                    <h5 class="card-title" style="text-align: center">{{ group.nom }}</h5>
                    <div style="display: flex; justify-content: center">
                        <a data-toggle="modal" [attr.data-target]="'#blogModal' + i" (click)="removeBackdrop()"
                            class="btn btn-primary">Consulter</a>
                        <a (click)="patchValues(group._id)" data-toggle="modal" [attr.data-target]="'#editModal' + i"
                            (click)="update(group._id)" class="btn btn-danger" (click)="removeBackdrop()"><i class=" la
                                la-edit"></i></a>
                        <div class="modal fade" [attr.id]="'editModal' + i">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <form [formGroup]="groupEdit">
                                            <div class="form-group row d-flex align-items-center mb-5">
                                                <label class="col-lg-3 form-control-label d-flex">Nom</label>
                                                <div class="col-lg-8">
                                                    <input type="text" class="form-control" formControlName="nom">
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                        <button type="button" class="btn btn-primary" (click)="update(group._id)">Save
                                            changes</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <a (click)="remove(group._id)" class="btn btn-danger">X</a>


                    </div>
                    <div class="modal fade" [attr.id]="'blogModal' + i">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <h3>Groupe:</h3>
                                    <div class="card" style="margin-bottom: 20px; margin-top: 10px">
                                        <div class="card-body" style="text-align: center">
                                            <h2>{{ group.nom }}</h2>
                                        </div>
                                    </div>
                                    <h3>Membres:</h3>
                                    <div class="card" style="margin-bottom: 20px; margin-top: 10px">
                                        <div class="card-body" style="text-align: center">
                                            Sofien Msaddak
                                        </div>
                                    </div>

                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                    <button type="button" class="btn btn-primary">Save changes</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>